Bug 129103 - Hangs, no output, with serial console after some activity
Hangs, no output, with serial console after some activity
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-08-03 22:02 EDT by todd underwood
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 02:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description todd underwood 2004-08-03 22:02:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
so far only shows up on machines with serial consoles and some
signifcant amount of network and disk activity, but has been
reproduced on three completely different platforms/servers.

after 12-36 hours of moderately busy use (bgpd with ~35 sessions of
full internet tables logging every message to disk), machine stops
responding to almost all activity.  they will continue to accept
pings, but will not spawn login consoles (either via ssh or via agetty
or mgetty on serial console), stop sending out data, drop all bgp
sessions, and basically hang.

unfortunately, nothing is logged at all, so not sure where
troubleshooting can go at this point.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. load FC2 default install on a new machine (these were upgraded from
FC1 or RH9)
2. run under somewhat heavy load for a while
3. wait for machine to stop responding

Actual Results:  pings work, but no new processes, no login shells,
nothing else.

Expected Results:  machine should keep functioning as normal.

Additional info:
Comment 1 Dan Slowik 2004-09-23 01:10:21 EDT
Same problem.  Running stock core2 on ibm eserver pentium 4. Kernel
version 2.6.5-1.358.

We are running apache tomcat (jakarta-tomcat-5.0.25) and a fairly
large but not at all unreasonable application (custom). It is a java
applet running from a .jar file in webapps. Calls some servers through
sockets as well.

I also have found that while using nc (netcat) to port some files it
seems to stall and hang but not the whole system.  Oddly enough I
found that after the nc sessions lock up while copying files I can
open another terminal to the server and just silly stuff like ls and
change directories and the nc unhangs for a bit and hangs again.


(core 2 machine) tar zcvOp --same-user <some directory> |nc -w 5
<another machines ip> 6060

(another machine) nc -l -p 6060 |tar zxvp

server locks while executing tomcat app through browsers.  The server
can be pinged but no ssh, telnet ,rlogin, rsh etc....  Consoles dead too.

Pinging the server works.

Seems similar problems that may be related are 129103 123445 as well.
Hope this helps.
Comment 2 Dave Jones 2005-04-16 02:07:48 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.